wifi8 2.0.0.0

Data Fields
wifi8_m2m_wps_info_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | u8_auth_type
uint8_t | u8_ch
uint8_t | au8ssid [M2M_MAX_SSID_LEN]
uint8_t | au8psk [M2M_MAX_PSK_LEN]
uint8_t | __PAD__ [__PADDING_TSTR_M2MWPS_INFO_]

## Field Documentation

## ◆ __PAD__

uint8_t __PAD__[__PADDING_TSTR_M2MWPS_INFO_]

## ◆ au8psk

uint8_t au8psk[M2M_MAX_PSK_LEN]

PSK for the network obtained from WPS.

## ◆ au8ssid

uint8_t au8ssid[M2M_MAX_SSID_LEN]

SSID obtained from WPS.

## ◆ u8_auth_type

uint8_t u8_auth_type

Network authentication type.

## ◆ u8_ch

uint8_t u8_ch

RF Channel for the AP.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h